/*
 * blancoDb Enterprise Edition
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.dbdotnet.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.commons.util.BlancoNameUtil;
import blanco.db.common.message.BlancoDbCommonPluginMessage;

public class BlancoDbDotNetWizardPage3 extends WizardPage {

    public BlancoDbDotNetWizardPage3(ISelection selection) {
        super("wizardPage");
        setTitle("blancoDbDotNetプラグインのインストール");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText("blancoDbDotNetプラグインを動作させるためには、下記のものが必要です。");
        new Label(container, SWT.NONE)
                .setText("  1.Eclipse 3.2またはそれ以上のバージョンのEclipse。");
        new Label(container, SWT.NONE)
                .setText("  2.R/Oマッピングを作成させる対象データベースのJDBCドライバ。");
        new Label(container, SWT.NONE)
                .setText("  3.Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフト。");
        new Label(container, SWT.NONE)
                .setText("    SQL定義書は Excel(*.xls)ファイル形式で保存します。");
        new Label(container, SWT.NONE)
                .setText("    このためExcel(*.xls)ファイル形式を読み書き可能なアプリケーションソフトが必要になります。");
        new Label(container, SWT.NONE).setText("");

        final String[] strMsgs = BlancoNameUtil.splitString(
                new BlancoDbCommonPluginMessage().getMbdbcmi01(), '\n');
        for (String msg : strMsgs) {
            new Label(container, SWT.NONE).setText(msg);
        }

        setControl(container);
    }
}